CREATE TABLE gaia_source (
    source_id bigint,
    random_index bigint,
    ra double precision,
    ra_error double precision,
    dec double precision,
    dec_error double precision,
    parallax double precision,
    parallax_error double precision,
    parallax_over_error real,
    pmra double precision,
    pmra_error double precision,
    pmdec double precision,
    pmdec_error double precision,
    ra_dec_corr real,
    ra_parallax_corr real,
    ra_pmra_corr real,
    ra_pmdec_corr real,
    dec_parallax_corr real,
    dec_pmra_corr real,
    dec_pmdec_corr real,
    parallax_pmra_corr real,
    parallax_pmdec_corr real,
    pmra_pmdec_corr real,
    astrometric_params_solved smallint,
    nu_eff_used_in_astrometry real,
    pseudocolour double precision,
    pseudocolour_error double precision,
    astrometric_matched_transits smallint,
    ipd_gof_harmonic_amplitude real,
    ipd_frac_multi_peak smallint,
    ipd_frac_odd_win smallint,
    ruwe real,
    phot_g_mean_flux double precision,
    phot_g_mean_flux_over_error real,
    phot_g_mean_mag real,
    phot_bp_mean_flux double precision,
    phot_bp_mean_flux_over_error real,
    phot_bp_mean_mag real,
    phot_rp_mean_flux double precision,
    phot_rp_mean_flux_over_error real,
    phot_rp_mean_mag real,
    phot_bp_rp_excess_factor real,
    bp_rp real,
    radial_velocity double precision,
    radial_velocity_error double precision,
    rv_nb_transits smallint,
    rv_expected_sig_to_noise real,
    rv_renormalised_gof real,
    rv_chisq_pvalue real,
    rvs_spec_sig_to_noise real,
    grvs_mag real,
    l double precision,
    b double precision,
    has_xp_continuous boolean,
    has_xp_sampled boolean,
    has_rvs boolean,
    PRIMARY KEY (source_id)
);